CGAL_CREATE_CMAKE_SCRIPT(1)

NAME
cgal_create_cmake_script - create a cmake script for applications using CGAL

SYNOPSIS
cgal_create_cmake_script [example|demo|test]

DESCRIPTION
The script cgal_create_cmake_script allows the simple creation of cmake scripts for applications which use the CGAL library. The parameter selects one of three script types, the default type is example.

OPTIONS

example
    Create a cmake script for several simple applications. Each C and cpp file in the current directory containing a main() function is compiled and linked as a separate executable.

demo
    Create a cmake script for a single application. All C and cpp files in the current directory are compiled and linked into one executable.

test
    Create a cmake script that is suited for the testsuite used by the CGAL developers.

AUTHOR
The CGAL project (http://www.cgal.org/).

REPORTING BUGS
Report bugs to <cgal-discuss@inria.fr> (see http://www.cgal.org/ for further instructions).

SEE ALSO
The full documentation for CGAL is available at http://www.cgal.org/ in PDF and HTML format.